Canvas5StyleManagerInternal::PenStyle Struct Reference

Internal: the pen style of a Canvas5StyleManager. More...

## Classes
struct | Line
| a line of a Canvas5StyleManager pen style More...

## Public Member Functions
| PenStyle ()
| constructor

## Public Attributes
unsigned | m_type
| the type
MWAWVec2f | m_size
| the pen size
MWAWVariable< MWAWColor > | m_colors [2]
| the neo color
bool | m_usePenColor
| use pen ink
std::vector< Line > | m_lines
| the plin lines

## Friends
std::ostream & | operator<< (std::ostream &o, PenStyle const &pen)

## Detailed Description

Internal: the pen style of a Canvas5StyleManager.

## Constructor & Destructor Documentation

## ◆ PenStyle()

Canvas5StyleManagerInternal::PenStyle::PenStyle | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PenStyle const & | pen )
| friend

## Member Data Documentation

## ◆ m_colors

MWAWVariable<MWAWColor> Canvas5StyleManagerInternal::PenStyle::m_colors[2]

the neo color

Referenced by PenStyle(), and Canvas5StyleManager::updateLine().

## ◆ m_lines

std::vector<Line> Canvas5StyleManagerInternal::PenStyle::m_lines

the plin lines

Referenced by PenStyle(), and Canvas5StyleManager::updateLine().

## ◆ m_size

MWAWVec2f Canvas5StyleManagerInternal::PenStyle::m_size

the pen size

Referenced by operator<<, PenStyle(), and Canvas5StyleManager::updateLine().

## ◆ m_type

unsigned Canvas5StyleManagerInternal::PenStyle::m_type

the type

Referenced by operator<<, PenStyle(), and Canvas5StyleManager::updateLine().

## ◆ m_usePenColor

bool Canvas5StyleManagerInternal::PenStyle::m_usePenColor

use pen ink

Referenced by PenStyle().

The documentation for this struct was generated from the following file:

- Canvas5StyleManager.cxx